Package org.xnio.conduits

# Interface ReadReadyHandler

All Superinterfaces:
  `TerminateHandler`

All Known Implementing Classes:
  `ReadReadyHandler.ChannelListenerHandler`

public interface ReadReadyHandler extends TerminateHandler
A conduit read-ready handler.

Author:
  David M. Lloyd

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`ReadReadyHandler.ChannelListenerHandler<C extends SuspendableReadChannel & ReadListenerSettable<C> & CloseListenerSettable<C>>`
A read ready handler which calls channel listener(s).
`static class`
`ReadReadyHandler.ReadyTask`
A runnable task which invokes the `readReady()` method of the given handler.

## Method Summary

Modifier and Type
Method
Description
`void`
`readReady()`
Signify that reads are ready.

### Methods inherited from interface org.xnio.conduits.TerminateHandler

`forceTermination, terminated`

## Method Details

### readReady

void readReady()
Signify that reads are ready.